package com.brilliance.isc.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;



/**
 * TABLE:cfasig:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Cfasig extends AbstractCommonVo {

    //Internal Unique ID
    private String inr = NULLSTR;

    //操作日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date dat = NULLDATE;

    //EBL INR
    private String eblinr = NULLSTR;

    //当前报送数据状态
    private String sta = NULLSTR;

    //操作时?'
    private  BigDecimal tim  = Decimals.ZERO_SCALE4;

    //操作描述
    private String txt = NULLSTR;

    //操作柜员
    private String usr = NULLSTR;

}

