package com.brilliance.isc.bo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Let extends AbstractCommonVo {

    //Internal Unique ID of Export L/C
    private String inr = NULLSTR;

    //Additional Conditions
    private String adlcnd = NULLSTR;

    //Deferred Payment Details
    private String defdet = NULLSTR;

    //Drafts at
    private String dftat = NULLSTR;

    //Additional Details to Code for Charges CHATO
    private String feetxt = NULLSTR;

    //Instructions to Paying/Accepting/Negotiating Bank
    private String insbnk = NULLSTR;

    //Documents Required
    private String lcrdoc = NULLSTR;

    //Description of Goods
    private String lcrgod = NULLSTR;

    //Mixed Payment Details
    private String mixdet = NULLSTR;

    //Presentation Period
    private String preper = NULLSTR;

    //Shipment Period
    private String shpper = NULLSTR;

    //Sender to Receiver Info
    private String strinf = NULLSTR;

    //Address Info Beneficiary received
    private String incbenadrblk = NULLSTR;

    //Version Counter
    private String ver = NULLSTR;

    //Additional  Conditions History
    private String adlcndame = NULLSTR;

    //Description of Goods History
    private String lcrgodame = NULLSTR;

    //Documents Required History
    private String lcrdocame = NULLSTR;

    //Narrative History
    private String nartxtame = NULLSTR;

    //Additional Amount Covered
    private String addamtcov = NULLSTR;

    //List of Modified Fields in LEDGRP
    private String fldmodblk = NULLSTR;

    //Notes to Beneficiary
    private String revnotes = NULLSTR;

    //Revolving Clause
    private String revcls = NULLSTR;

    //Available in
    private String avbwthtxt = NULLSTR;

    //Instruction to Paying/Accepting/Negotiating Bank History
    private String insbnkame = NULLSTR;

    //Content of TAG 72
    private String contag72 = NULLSTR;

    //Content of TAG79
    private String contag79 = NULLSTR;

    //Special Payment Conditions for Beneficiary
    private String spcben = NULLSTR;

    //Special payment Conditions for beneficiary History
    private String spcbename = NULLSTR;

    //Special Payment Conditions for Bank Only
    private String spcrcb = NULLSTR;

    //Special Payment Conditions for Bank Only History
    private String spcrcbame = NULLSTR;

    //Instructions to Intermediary Bank
    private String insintbnk = NULLSTR;
}
