package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:pta:PTA - Party Address Association
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Pta {

        //Internal Unique ID of Party Address Association
        private String inr = NULLSTR;

        //INR of Associated Party
        private String ptyinr = NULLSTR;

        //Externally Visible Name of Address
        private String nam = NULLSTR;

        //Priority Marker
        private String pri = NULLSTR;

        //Running Counter for External Identification
        private String eno = NULLSTR;

        //Type of Associated Address
        private String objtyp = NULLSTR;

        //INR of Associated Address
        private String objinr = NULLSTR;

        //Alternate Technical Key of Associated Address
        private String objkey = NULLSTR;

        //Coded Usage of Address [xxxxxx]
        private String usg = NULLSTR;

        //Version Counter
        private String ver = NULLSTR;

        //BIC of Address Optional
        private String bic = NULLSTR;

        //Address Status
        private String adrsta = NULLSTR;

        //Type of Party
        private String ptytyp = NULLSTR;

        //External Key Used to Uniquely Identify a Party
        private String ptyextkey = NULLSTR;

        //TradeConnect ID
        private String tid = NULLSTR;

        //Entity Group of Party Address Association
        private String etgextkey = NULLSTR;

        //BRANCHINR
        private String branchinr = NULLSTR;

        //BCHKEYINR
        private String bchkeyinr = NULLSTR;

        //Externally Visible Name of Address
        private String nam1 = NULLSTR;

        //Info of bank
        private String issbchinf = NULLSTR;

        //opened flg
        private String opnflg = NULLSTR;
}