package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ptc {
    //Internal Unique ID of Contact Person per Address/Party
    private String inr ;
    //Associated Party Mandatory
    private String ptyinr ;
    //Associated Address Optional
    private String ptainr ;
    //Externally Displayed Name
    private String nam ;
    //Sequence ID
    private String eno ;
    //Department
    private String dep ;
    //Gender
    private String gen ;
    //Birthday
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date biddat;
    //Phone Factory
    private String telfac ;
    //Telefax
    private String telfax ;
    //Mobile Phone
    private String telmob ;
    //Office Phone
    private String teloff ;
    //Version Counter
    private String ver ;
    //eMail/Internet
    private String eml ;
    //Entity Group of Party Contract Person
    private String etgextkey ;
    //用途 BOP-国际收支申报  JSH-结售汇申报
    private String boptyp;
}
