package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Imfinv;
import com.brilliance.isc.bo.Smh;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Invp {

    //平台外业务类型
    private String bustyp;

    //批注方编号
    private String antnum;

    //批注方名称
    private String antnam;

    //批注日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date antdat;

    //批注事项
    private String antdtl;

    //业务描述
    private String busdcr;

    //报文内容
    private String msgdat;

    private Smh smh;

    //smh关联主键
    private String smhinr;

    private List<Imfinv> invlst;

    //业务编号
    private String ownref;
}
