package com.brilliance.isc.common.invchk.vo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * @Auther: wubing
 * @Date: 2024/3/26 16:28
 * @Description:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Invrep extends AbstractCommonVo {

    //批次号
    private String seqnum = NULLSTR;

    //价税合计总金额
    private BigDecimal totalamounttax = Decimals.ZERO_SCALE3;

    //处理类型
    private String invfunc = NULLSTR;

    //处理类型
    private String lastinvfunc = NULLSTR;

    //批次号
    private String lastseqnum = NULLSTR;

    //勾选个数
    private int picknum;

    //被替换发票占用总金额
    private BigDecimal totalamountin = Decimals.ZERO_SCALE3;

    //忽略
    private String ignflg = NULLSTR;

    //所有发票列表
    private List<InvlstVo> invtbl;

    //
    private List<HandlepanVo> invlst;

    //正常发票列表
    private List<HandlepanVo> zcinvlst;

    //异常发票列表
    private List<HandlepanVo> fzcinvlst;

    //重复核验列表
    private List<HandlepanVo> cfinvlst;

    //批次号列表
    private List<String> seqnumList;
}
