package com.brilliance.isc.common.rmbbop.model;

import com.brilliance.isc.common.rmbbop.common.IRecgrp;
import com.brilliance.isc.common.rmbbop.entity.*;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.util.List;


@Setter
@Getter
@JsonIgnoreProperties(ignoreUnknown = true)
public class Tgagrp extends AbstractCommonVo implements IRecgrp {
    private Tga ads;

    private List<Tgb> tgb;
    private List<Tgd> tgd;
    private List<Tgc> tgc;
    private List<Tge> tge;
    private List<Tgf> tgf;

    @Override
    public void reset() {
        super.reset();
        if (ads == null) {
            ads = new Tga();
        }
        ads.reset();
    }
}
