package com.brilliance.isc.common.rmbbop.vo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;


@Data
@Builder
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "申报请求返回信息", description = "申报请求返回信息")
@JsonIgnoreProperties(ignoreUnknown = true)
public class RmbbopResponse extends AbstractCommonVo {
    @ApiModelProperty(value = "报送主信息", name = "rmbbop", required = true)
    private Rmbbop rmbbop;

}
