package com.brilliance.isc.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component
@PropertySource(value = "classpath:cfg/boprptno.properties")
@Data
public class BoprptnoConfig {
    @Value("${dba.key}")
    private String dbakey;
    @Value("${dbb.key}")
    private String dbbkey;
    @Value("${dbc.key}")
    private String dbckey;
    @Value("${dbd.key}")
    private String dbdkey;
    @Value("${dbe.key}")
    private String dbekey;
    @Value("${dbf.key}")
    private String dbfkey;
    @Value("${dbj.key}")
    private String dbjkey;
    @Value("${dbw.key}")
    private String dbwkey;
    @Value("${dba.limit}")
    private String dbalimit;
    @Value("${dbb.limit}")
    private String dbblimit;
    @Value("${dbc.limit}")
    private String dbclimit;
    @Value("${dbd.limit}")
    private String dbdlimit;
    @Value("${dbe.limit}")
    private String dbelimit;
    @Value("${dbf.limit}")
    private String dbflimit;

}
