package com.brilliance.isc.vo.bop;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.Date;

@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BoprcvVo {
    //文件名
    private String filnam;

    //最后处理时间
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date lsttim;

    //错误标志
    private String errflg;

    //object inr
    private String objinr;

    //initial entity code
    private String ownextkey;

    //错误字段
    private String tbl;

    //错误描述
    private String dsp;

    //详细错误信息
    private String dtl;

    //BUSSNO字段
    private String bsynum;

    //文件类型
    private String filtyp;

    //处理标识
    private String sta;

    //基础信息状态
    private String bassta;


    //申报信息状态
    private String dclsta;

    //核销信息状态
    private String vrfsta;



}
