package com.brilliance.isc.vo.lc;

import com.brilliance.isc.common.vo.BizInfoVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * 转让信用证业务要素
 */
@Data
public class LtdBizInfoVo extends BizInfoVo {

    private String ledinr;

//    /bttp/futhndflg
    private String futhndflg;

    //swiadd/newexpdat
    private Date newexpdat;

    //ledgrp/rec/expdat
    private Date expdat;

    //ledgrp/rec/ownref
    private String ownref;

    //change of engagement:
    //getLttamep/Engamt
    private BigDecimal engamt;

    //New amount
    //Swiadd/Newamt
    private  BigDecimal newamt;

    //New Maximum Amount
    //Lttamep/Maxamt
    private  BigDecimal maxamt;

    //Date L/C Opened/Issued
    //Ltdgrp/Rec/Opndat
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date opndat;

    private Integer tenmaxday;

    // lttcan/sndmsg
    private  String sndmsg;

    //fremsg相关
    private String sndmt;
    private  String msgrol = NULLSTR;
    private  String ccrol = NULLSTR;
    private PtsptaVo othmsg;
    private PtsptaVo othcc;
    private  String reldir = NULLSTR;
    private  String fulmt = NULLSTR;
    private  String relmt = NULLSTR;
}
