package com.brilliance.isc.vo.lg;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.Dnf;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class DnfencVo {

    private Dnf dnf;

    //类型
    private String ccvtyp = NULLSTR;

    //帐户
    private String kehuzh = NULLSTR;

    //本金转入 帐 户
    private String zhruzh = NULLSTR;

    //利息转入 帐 户
    private String lxzyzh = NULLSTR;

    //  利息转入账户		.dnfenc.intdsp
    private String intdsp = NULLSTR;

    //  本金转入账户		.dnfenc.pridsp
    private String pridsp = NULLSTR;

    //部分提支金额
    private BigDecimal tizamt = Decimals.ZERO_SCALE2;

    //帐户余额
    private BigDecimal zhhuye = Decimals.ZERO_SCALE2;

    //业务代号
    private String yewudh = NULLSTR;

    //起存金额
    private BigDecimal qicuje = Decimals.ZERO_SCALE2;

    //支取类型
    private String zhqtyp = NULLSTR;

    //币种
    private String cur = NULLSTR;

    //记录状态
    private String jiluzt = NULLSTR;

    //起息日期
    private String qixirq = NULLSTR;

    //支取次数
    private String zhqucs = NULLSTR;

    //add for table data
    private String kehzwm = NULLSTR;//客户中文名
    private String zhngjg = NULLSTR;//帐务机构号
    private String jixiff = NULLSTR;//计息方法
    private String lilvbh = NULLSTR;//利率编号
    private String jishuu = NULLSTR;//积数
    private String zuidje = NULLSTR;//最低金额
    private String zuigje = NULLSTR;//最高金额
    private String kaihrq = NULLSTR;//开户日期
    private String lilvll = NULLSTR;//利率
    private String kemucc = NULLSTR;//科目存储
    private String huobdh = NULLSTR;//货币代号
    private String xiohrq = NULLSTR;//销户日期
    private String ljzqje = NULLSTR;//累计支取金额
    private String kaihje = NULLSTR;//开户金额
    private String cunkzl = NULLSTR;//存款种类
    private String cunqii = NULLSTR;//存期
    private String daoqrq = NULLSTR;//到期日
    private String youhll = NULLSTR;//优惠利率
    private String zdzczh = NULLSTR;//自动转存账户
}
