package com.brilliance.isc.vo.lg;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;
import java.math.BigDecimal;

@Data
public class LiasumVo {
    private String inr;
    private String trntyp;
    private String cbtpfx;
    private Integer tenday;
    private String rol;
    private String rol1;
    private String cur;
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal amt = Decimals.ZERO_SCALE2;;
    private String acc;
    private String acc2;

}
