package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class TrlVo extends BaseEntity {

    // 唯一ID，主键
    private String inr;

    // 经办机构代码
    private String bchkey;

    // 经办交易代码
    private String trn;

    // 授权币种
    private String relcur;

    // 允许授权的最大金额
    private BigDecimal relamt;

    // 版本号
    private String ver;

    // 授权类型
    private String relflg;

    // 机构列表
    private List<String> branchList;
}
