package com.brilliance.isc.vo.model;

import com.brilliance.isc.bo.model.Btdget;
import com.brilliance.isc.bo.model.Ledget;
import com.brilliance.isc.bo.model.Ltdget;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.vo.collection.Docgrd;
import com.brilliance.isc.vo.collection.Docgrdm;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BttpVo extends AbstractCommonVo {

    //Panel Status  E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;

    //further handling
    private  String futhndflg = NULLSTR;

    //MT752: Further Indentification
    private  String furide = NULLSTR;

    //Create 752
    private  String cre752flg = NULLSTR;

    //Language of correspon. to BEN
    private  String bendocuil = NULLSTR;

    //setttle now
    private  String setnowflg = NULLSTR;

    private Docgrdm docgrdmbe1;

    private Docgrdm docgrdmbe2;

    private Ltdget ltdget;

    private Ledget ledget;

    private Btdget recget;
}
