package com.brilliance.isc.esb.api.inner;

import com.brilliance.isc.esb.model.inner.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * jk 对内系统的普惠金融云平台服务端接口
 *
 * @restApi
 */

//@RequestMapping("/jk")
public interface InnerReportServer {

    @PostMapping("/jk/dbainsert")
    InnerRes<InnerResDbainsert> callDbainsert(InnerReq<InnerReqDbainsert> innerReqDbainsertInnerReq);

    @PostMapping("/jk/dbbinsert")
    InnerRes<InnerResDbbinsert> callDbbinsert(InnerReq<InnerReqDbbinsert> innerReqDbbinsertInnerReq);

    @PostMapping("/jk/dbcinsert")
    InnerRes<InnerResDbcinsert> callDbcinsert(InnerReq<InnerReqDbcinsert> innerReqDbcinsertInnerReq);

    @PostMapping("/jk/dbdinsert")
    InnerRes<InnerResDbdinsert> callDbdinsert(InnerReq<InnerReqDbdinsert> innerReqDbdinsertInnerReq);

    @PostMapping("/jk/dbeinsert")
    InnerRes<InnerResDbeinsert> callDbeinsert(InnerReq<InnerReqDbeinsert> innerReqDbeinsertInnerReq);

    @PostMapping("/jk/dbfinsert")
    InnerRes<InnerResDbfinsert> callDbfinsert(InnerReq<InnerReqDbfinsert> innerReqDbfinsertInnerReq);
}
