package com.brilliance.isc.esb.model.clm;

import com.brilliance.isc.esb.model.ErrorData;

/**
 * @author tl19961012@163.com
 * @date 2023/2/13
 */
public class ResDO01 extends ErrorData {
    /**
     * 客户ECIF号
     */
    public String ECIFNO;
    /**
     * 国结业务编号
     */
    public String OWNREF;
    /**
     * 起始日
     */
    public String CREDAT;
    /**
     * 到期日
     */
    public String ENDDAT;
    /**
     * 容差值
     */
    public String DIFAMT;
    /**
     * 业务品种
     */
    public String LIMTYP;
    /**
     * 业务币种
     */
    public String CUR;
    /**
     * 业务金额
     */
    public String AMT;
    /**
     * 业务余额
     */
    public String COMAMT;
    /**
     * 保证金余额
     */
    public String CCVAMT;
    /**
     * 保证金比例
     */
    public String NOMPCT;

    public ResDO01() {
    }

    public ResDO01(String ECIFNO, String OWNREF, String CREDAT, String ENDDAT, String DIFAMT, String LIMTYP, String CUR, String AMT, String COMAMT, String CCVAMT, String NOMPCT) {
        this.ECIFNO = ECIFNO;
        this.OWNREF = OWNREF;
        this.CREDAT = CREDAT;
        this.ENDDAT = ENDDAT;
        this.DIFAMT = DIFAMT;
        this.LIMTYP = LIMTYP;
        this.CUR = CUR;
        this.AMT = AMT;
        this.COMAMT = COMAMT;
        this.CCVAMT = CCVAMT;
        this.NOMPCT = NOMPCT;
    }
}
