package com.brilliance.isc.esb.model.ejs;


import com.brilliance.isc.esb.model.ErrorData;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * seg02 网银购汇参数查询对外响应对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResSeg02 extends ErrorData {


    /**
     * 交易结果[0,7]
     */
    public String JIAYJG;

    /**
     * 自助购汇提前申请时限[0,2]
     */
    public String SHTQSQSXKH;

    /**
     * 自助售汇提前申请 时限[0,8]
     * 开始时间：9:30:00
     */
    public String SHQSSJKH;

    /**
     * 自助售汇提前申请时限[0,8]
     * 截止时间最大值为23:30:00（默认18:00:00)
     */
    public String SHJZSJKH;

    public ResSeg02() {
    }

    public ResSeg02(String JIAYJG, String SHTQSQSXKH, String SHQSSJKH, String SHJZSJKH) {
        this.JIAYJG = JIAYJG;
        this.SHTQSQSXKH = SHTQSQSXKH;
        this.SHQSSJKH = SHQSSJKH;
        this.SHJZSJKH = SHJZSJKH;
    }
}
