package com.brilliance.isc.esb.model.inner;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * FapRecognize 发票识别对内请求
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class InnerReqFapRecognize {

    /**
     * 影像批次号
     */
    private String docid;

    /**
     * ocr识别标志
     * 点击ocr识别赋值成true，默认为false
     */
    private Boolean ocrFlg = false;


}
