package com.brilliance.isc.esb.model.whj.res.sinosure;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Apply {

    public String applyEntName;         //融资企业名称
    public String applyEntCode;         //企业组织机构代码
    public String currency;         //关单核验币种
    public Long amount;         //应收账款金额
    public String overseasPaymentDeadline;          //境外回款期限
    public Long applyAmount;         //申请融资金额
    public String acceptBankName;         //受理银行名称
    public String acceptBankCode;         //受理银行代码
    public String agreementNo;          //协议编号
    public String policyNo;             //保单号
    public String noticeId;             //承保情况通知书编号
    public String registryType;         //登记业务类型
    public List<DetailInvoices> invoices;

    public Apply() {
    }

    public Apply(String applyEntName, String applyEntCode, String currency, Long amount, String overseasPaymentDeadline, Long applyAmount, String acceptBankName, String acceptBankCode, String agreementNo, String policyNo, String noticeId, List<DetailInvoices> invoices) {
        this.applyEntName = applyEntName;
        this.applyEntCode = applyEntCode;
        this.currency = currency;
        this.amount = amount;
        this.overseasPaymentDeadline = overseasPaymentDeadline;
        this.applyAmount = applyAmount;
        this.acceptBankName = acceptBankName;
        this.acceptBankCode = acceptBankCode;
        this.agreementNo = agreementNo;
        this.policyNo = policyNo;
        this.noticeId = noticeId;
        this.invoices = invoices;
    }
}
