package com.brilliance.isc.common.fecism.vo;

import com.brilliance.isc.bo.Pty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class CalcFeeVo {

    private String feecod;

    private String relcur;

    private BigDecimal relamt = BigDecimal.ZERO;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date dat1;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date dat2;

    private Pty pty;

    /**
     *  是否计算过
     */
    private String calcFlg = "N";

    private int unt = 0;

    private String feecur;

    private BigDecimal ogiamt = BigDecimal.ZERO;

    private BigDecimal feeamt = BigDecimal.ZERO;

    private String calrul;

    private BigDecimal ratcal = BigDecimal.ZERO;

    private String ratcur;

    private BigDecimal untamt = BigDecimal.ZERO;

    private String pertyp;

    private String calcbs;

    private String mincur;

    private BigDecimal minamt = BigDecimal.ZERO;

    private String maxcur;

    private BigDecimal maxamt = BigDecimal.ZERO;

    /**
     * 费用计算明细
     */
    private String inftxt;

    private BigDecimal dctrat = BigDecimal.ZERO;

}
