package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:atc:ATC - Application Transaction Configuration
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Atc{

        //Internal Unique ID of Application Transaction Configuration
        private String inr = NULLSTR;

        //Version Counter
        private String ver = NULLSTR;

        //Transaction  ID
        private String trn = NULLSTR;

        //Code
        private String cod = NULLSTR;

        //Type
        private String typ = NULLSTR;

        //Variant ID
        private String var = NULLSTR;

        //Argument 1
        private String arg1 = NULLSTR;

        //Type for Argument 1
        private String arg1typ = NULLSTR;

        //Argument 2
        private String arg2 = NULLSTR;

        //Type for Argument 2
        private String arg2typ = NULLSTR;

        //Argument 3
        private String arg3 = NULLSTR;

        //Type for Argument 3
        private String arg3typ = NULLSTR;

        //Argument 4
        private String arg4 = NULLSTR;

        //Type for Argument 4
        private String arg4typ = NULLSTR;

        //Argument 5
        private String arg5 = NULLSTR;

        //Type for Argument 5
        private String arg5typ = NULLSTR;

        //Argument 6
        private String arg6 = NULLSTR;

        //Type for Argument 6
        private String arg6typ = NULLSTR;

        //Argument 7
        private String arg7 = NULLSTR;

        //Type for Argument 7
        private String arg7typ = NULLSTR;

        //Argument 8
        private String arg8 = NULLSTR;

        //Type for Argument 8
        private String arg8typ = NULLSTR;

        //Argument 9
        private String arg9 = NULLSTR;

        //Type for Argument 9
        private String arg9typ = NULLSTR;

        //Ignore Transaction Rule
        private String ignflg = NULLSTR;

        //Condition
        private String cnd = NULLSTR;

        //Type for Condition Field 1
        private String cndfld1typ = NULLSTR;

        //Condition Field 1
        private String cndfld1 = NULLSTR;

        //Type for Condition Field 2
        private String cndfld2typ = NULLSTR;

        //Condition Field 2
        private String cndfld2 = NULLSTR;
}