package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


/**
* TABLE:cur:CUR - Currency
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Cur {
        private String inr;
        private String cod;
        // 货币数字代号
        private String altcod;
        // 币种小数位
        private int dec;
        // 买价/卖价汇差
        private BigDecimal bsrmar;
        // 币种四舍五入精度
        private BigDecimal rndunt;
        // 内部汇率汇差
        private BigDecimal sqrmar;
        // 报表折算汇率汇差
        private BigDecimal glbrat;
        //  汇率折算单位
        private int bas;
        // 汇率最大浮动值
        private BigDecimal dif;
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date begdat;
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date enddat;
        // 借记到账天数
        private int dbtday;
        // 贷记到账天数
        private int cdtday;
        // 存储利率的上限币种
        private String maxcur;
        // 存储利率的上限金额
        private BigDecimal maxamt;
        // 货币兑换时的账号
        private String acc1;
        // 货币兑换时的对应账号
        private String acc2;
        // 批量维护牌价时的顺序
        private int seq;
        // 替换的货币代号
        private String newcur;
        // 透支天数
        private int odrintday;
        private String ver;
        private String etgextkey;
}