package com.brilliance.isc.bo;

import com.brilliance.isc.common.vo.PageVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

@Data
@NoArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class FtdVo extends PageVo {



    /**
     *  汇款业务编号
     */
    private String seaownref;
    /**
     * 名称
     */
    private String nam;

    /**
     * 客户名称
     * */
    private String ownusr;

    /**
     *资金部经办人
     **/
    private String usr;

    /**
     * 银行类型
     * */
    private String bnktyp;

    /**
     * 挂起编号
     * */
    private String gzno;

    /**
     * 汇款开始日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndatfrom;
    /**
     * 汇款截止日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndatto;
    /**
     *状态
     * */
    private String seasta;

    /**
     * 资金转账类型
     * */
    private String fttyp;

    /**
     * //币种
     */
    private String cur;
//    /**
//     * //金额
//     */
    private BigDecimal amtmax;
//    /**
//     * //金额
//     */
    private BigDecimal amtmin;

    private String swftyp;

//    /**
//     *参与方参考号
//     */
//    private String searef;
//    /**
//     * 参与方名称
//     * */
//    private String seapty;

//    /**
//     * 角色 User
//     * */
//    private String searol;

//    /**
//     * user ID
//     * */
//
//    private String usrextkey;



        // Getter method
//        public String getFttyp() {
//            return fttyp;
//        }
//
//        // Setter method
//        public void setFttyp(String fttyp) {
//            this.fttyp = fttyp;
//        }


}
