package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Gimgfe {
    //biccod
    private String biccod = NULLSTR;

    //the status of bank
    private String bnksta = NULLSTR;

    //the type of message
    private String msgtyp = NULLSTR;

    //stscod
    private String stscod = NULLSTR;

    //update time
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date upddat = NULLDATE;
}
