package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:lme:
*/

@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Lme {


        //INR
        
        private String inr = NULLSTR;

        //OBJTYP
        
        private String objtyp = NULLSTR;

        //OBJINR
        
        private String objinr = NULLSTR;

        //LIM OF INR
        
        private String liminr = NULLSTR;

        //TRNINR
        
        private String trninr = NULLSTR;

        //Version Counter
        
        private String ver = NULLSTR;

        //额度明细编号
        
        private String dginfref = NULLSTR;

        //占用额度品种编号
        
        private String dglimcod = NULLSTR;

        //名义金额
        
        private  BigDecimal dglimamt  = Decimals.ZERO_SCALE2;

        //恢复序号
        private  int dgshxh ;

        //业务编号
        
        private String dghfref = NULLSTR;

        //业务币种
        
        private String dghfcur = NULLSTR;

        //业务余额
        
        private  BigDecimal dghfamt  = Decimals.ZERO_SCALE2;

        //保证金余额
        
        private  BigDecimal dghfccvamt  = Decimals.ZERO_SCALE2;

        //拟恢复额度
        
        private  BigDecimal dghflimamt  = Decimals.ZERO_SCALE2;

        //同业ECIF客户号
        
        private String typtyextkey = NULLSTR;

        //同业SWIFT号
        
        private String tyswiftno = NULLSTR;

        //同业客户名称
        
        private String typtynam = NULLSTR;

        //占用同业额度编号
        
        private String tylimref = NULLSTR;

        //占用同业明细额度编号
        
        private String tyinfref = NULLSTR;

        //额度品种编号
        
        private String tylimcod = NULLSTR;

        //拟占用同业额度金额
        
        private  BigDecimal tylimamt  = Decimals.ZERO_SCALE2;

        //业务编号
       
        private String tyhfref = NULLSTR;

        //拟恢复同业额度
        
        private  BigDecimal tyhflimamt  = Decimals.ZERO_SCALE2;

        //风险分类
       
        private String fxfl = NULLSTR;




}