package com.brilliance.isc.bo;


import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Mct extends AbstractCommonVo {


    //Internal Unique ID of MCT Manual Contract
    private String inr = NULLSTR;

    //Historic Overview of Narratives
    private String narhis = NULLSTR;

    //List of Modified Fields in MCDGRP
    private String fldmodblk = NULLSTR;

    //Version Counter
    private String ver = NULLSTR;

    //Content of TAG 72
    private String contag72 = NULLSTR;

    //Content of TAG 79
    private String contag79 = NULLSTR;

}