package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * TABLE:Syssta:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Syssta {

    private String inr = NULLSTR;
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private String sysdat = NULLSTR;
    private String syssta = NULLSTR;
    private String onlswh = NULLSTR;
    private String loginsta = NULLSTR;
    private String etyextkey = NULLSTR;
    private String chkflg = NULLSTR;
    private String token = NULLSTR;
    private String expires = NULLSTR;

}
