package com.brilliance.isc.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

/**
 * swift发报配置类
 
 */
@Component
@ConfigurationProperties(prefix = "swift.snd")
@PropertySource("classpath:cfg/mgrtsk.properties")
@Setter
@Getter
public class SwiftSndConfig {
    private String exe;

    private String swtPrint;

    private String ownBic;

    private String outDir;

    private String fil;

    private String delivrCod;

    private String obsPer;

    private String tze;

    private String arbpin;

    private String appLid;

    private String nlnr;

    private String oe;

    private String maxLen;

    private String jobExe;

    private String job;

    private String etyDirFlg;
}
