package com.brilliance.isc.vo.domlc;

import com.brilliance.isc.bo.Bfd;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;

@Data
public class BfdWithPtsCbbResponseVo extends Bfd {

    /**
     * 货物类型
     */
    private String stagod;
    /**
     * 信用证编号
     */
    private String pntref;
    /**
     * 发票号
     */
    private String benref;
    /**
     * 币种
     */
    private String cur;

    /**
     * 单据金额
     */
    private BigDecimal amt;

    /**
     * 币种
     */
    private String opncur;

    /**
     * 余额
     */
    private BigDecimal opnamt;

    /**
     * 申请人
     */
    private String aplExtkey;

    /**
     * 申请人名称
     */
    private String aplName;
    /**
     * 申请人中文名称
     */
    private String aplCnname;
    /**
     * 受益人编号
     */
    private String benExtkey;

    /**
     * 受益人名称
     */
    private String benName;
    /**
     * 受益人中文名称
     */
    private String benCnname;
    /**
     * 开证行
     */
    private String issExtkey;

    /**
     * 开证行名称
     */
    private String issName;
    /**
     * 开证行中文名称
     */
    private String issCnname;
    /**
     * 开证行联行行名
     */
    private String issLhname;
    /**
     * 转卖行
     */
    private String pubExtkey;

    /**
     * 转卖行名称
     */
    private String pubName;
    /**
     * 转卖行中文名称
     */
    private String pubCnname;
    /**
     * 转卖行联行行名
     */
    private String pubLhname;
    /**
     * 分行名称
     */
    private String bchName;
    /**
     * 柜员名称
     */
    private String usrNam;
    /**
     * 交单行编号
     */
    private String prbExtkey;

    /**
     * 交单行名称
     */
    private String prbName;
    /**
     * 交单行中文名称
     */
    private String prbCnname;
    /**
     * 交单行联行行名
     */
    private String prbLhname;


    /**
     * 承兑到期日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date udpdat = NULLDATE;
}

