package com.brilliance.isc.vo.lg;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.common.vo.FremsgVo;
import com.brilliance.isc.vo.model.Gcdgrp;
import com.brilliance.isc.vo.model.Gidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class PctfreStoreVo extends BaseTransactionVo {
    private Gcdgrp gcdgrp;
    private Gidgrp gidgrp;
    private FremsgVo fremsg;
    private JSONArray sndmtList;
    private SwiaddVo swiadd;
    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        if(gcdgrp == null){
            gcdgrp = new Gcdgrp();
        }
        if(fremsg == null){
            fremsg = new FremsgVo();
        }
        if(swiadd == null){
            swiadd = new SwiaddVo();
        }
    }
}
