package com.brilliance.isc.vo.manager;

import lombok.Data;

/**
 * 当前登录用户部分字段信息
 * 从 httpSession中获取，主要用于 settleSession做赋值操作
 */
@Data
public class SessionUserVo {
    // 当前登录用户的主键ID
    private int id;
    // 当前登录用户的姓名
    private String name;
    // 当前登录用户的登录名
    private String logName;
    // 当前登录用户的归属行
    private String workOrg;
    // 当前选择的所属机构ID
    private int ownOrgId;
    // 当前选择的所属机构名称
    private String ownOrgName;
    // 当前选择的所属机构号
    private String ownOrgDepartmentNumber;
    // 当前选择的所属机构的上级机构ID
    private String ownOrgParentDepartmentId;
    // 当前选择的所属机构的BIC
    private String ownOrgBic; // 取BIC
    // 当前登录用户的角色ID
    private int roleID;
    // 当前登录用户的角色名
    private String roleName;
    // 当前登录用户的角色的上级角色ID
    private int parentRoleID;
    // 当前登录用户的角色的上级角色名
    private String parentRoleName;

}
