package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.Set;

@Data
public class TdTmplVo extends BaseEntity {

    // 唯一ID，主键
    private String inr;

    // 业务参考号
    private String ownref;

    // 模板名称
    private String tmplnam;

    // 模板类型
    private String tmpltyp;
    private String tmpltypnam;

    // 模板类型集合
    private Set<String> tmpltyps;

    // 模板内容
    private String tmpltxt;

    // 模板所关联的机构号
    private Set<String> tmplbchs;

    // 模板所关联的交易码
    private String tmpltrn;

    // 模板创建人登录名
    private String tmplusr;

    // 当前登录用户
    private String logname;

    // 模板创建日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date tmpldat;

    // 起止日期-开始日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date bgndat;

    // 起止日期-结束日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date enddat;
}
