package com.brilliance.isc.vo.report;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class DfdReportVo {
    private String bchname; //分行名称
    private String ownref; //融资业务编号
    private String pntref; //业务编号
    private String tenmaxday; //远期证承兑期限
    private String tenday; //同业代付期限
    private String tenaddday; //融资期限之和
    private String comcur; //境内代付币种
    private BigDecimal comamt; //境内代付余额
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date stttendat; //同业代付起始日
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date matdat; //同业代付到期日
    private String dfextkey; //代付行SWIFT BIC
    private String dfnam; //代付行名称
    private String extkey; //客户号
    private String ptyname;// 客户名称
    private String dfownref; //代付业务编号
    private String dfuflg; //境内外代付
    private String fintyp; //代付种类
    private String actrat; //代付利率
    private String finactrat; //融资执行利率
    private String advExtkey; //信用证通知行BIC
}
