package com.brilliance.isc.esb.api.inner;

import com.brilliance.isc.esb.model.inner.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * jk 对内系统的统一接口平台服务端接口
 *
 * @restApi
 */

//@RequestMapping("/jk")
public interface InnerGmgfServer {
    /**
     * Ge57 报关单参考余额查询
     *
     * @param innerReqGe57
     * @return
     */
    @PostMapping("/jk/GE57")
    InnerRes<InnerResGe57> callGe57(InnerReq<InnerReqGe57> innerReqGe57);

    /**
     * Ge59 报关单参考余额查询
     *
     * @param innerReqGe59
     * @return
     */
    @PostMapping("/jk/GE59")
    InnerRes<InnerResGe59> callGe59(InnerReq<InnerReqGe59> innerReqGe59);

    /**
     * Ge67 报关单参考余额查询
     *
     * @param innerReqGe67
     * @return
     */
    @PostMapping("/jk/GE67")
    InnerRes<InnerResGe67> callGe67(InnerReq<InnerReqGe67> innerReqGe67);

    /**
     * Ge69 报关单参考余额查询
     *
     * @param innerReqGe69
     * @return
     */
    @PostMapping("/jk/GE69")
    InnerRes<InnerResGe69> callGe69(InnerReq<InnerReqGe69> innerReqGe69);
}
