package com.brilliance.isc.esb.api.inner;

import com.brilliance.isc.esb.model.inner.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * jk 对内系统的统一名单系统接口
 *
 * @restApi
 */

//@RequestMapping("")
public interface InnerTymdServer {
    /**
     * E200 统一名单筛查接口调用响应
     *
     * @param innerReqE200
     * @return
     */
    @PostMapping("/jk/E200")
    InnerRes<InnerResE200> callE200(InnerReq<InnerReqE200> innerReqE200);

    /**
     * DU01 统一名单反洗钱接口调用响应
     *
     * @param innerReqDU01
     * @return
     */
    @PostMapping("/jk/DU01")
    InnerRes<InnerResDU01> callDU01(InnerReq<InnerReqDU01> innerReqDU01);
}
