package com.brilliance.isc.esb.model;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 数据请求头
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class DataHeader {
    /**
     * 交易代码
     */
    public String JIAOYM;

    /**
     * 交易子码
     */
    public String JIOYZM;

    /**
     * 交易模式
     */
    public String JIOYMS;

    /**
     * 交易序号
     */
    public String JIOYXH;

    /**
     * 本交易包长度
     */
    public String COMMLN;

    /**
     * 系统偏移1
     */
    public String PNYIL1;

    /**
     * 系统偏移2
     */
    public String PNYIL2;

    /**
     * 前台流水号
     */
    public String QANTLS;

    /**
     * 前台日期
     */
    public String QANTRQ;

    /**
     * 授权柜员
     */
    public String SHOQGY;

    /**
     * 授权密码
     */
    public String SHOQMM;

    /**
     * 授权柜员有无卡标志
     */
    public String YWKABZ;

    /**
     * 授权柜员卡序号
     */
    public String CZYNXH;

    public DataHeader() {
        DateFormat dateFormat = new SimpleDateFormat("yyyyMMdd");
        this.QANTRQ = dateFormat.format(new Date());
    }
}
