package com.brilliance.isc.esb.model.ejs;

import com.brilliance.isc.esb.model.AbsEjsRes;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * EjsMyhjy e结算密押行校验接口响应对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResEjsMyhjy extends AbsEjsRes {

    /**
     * 是否密押行[0,1]
     * 是否密押行，0-是，1-否
     */
    public String flag;

    public ResEjsMyhjy() {
    }

    public ResEjsMyhjy(String flag) {
        this.flag = flag;
    }
}
