package com.brilliance.isc.esb.model.ejs;

import com.brilliance.isc.esb.model.ErrorData;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * seg01 网银推送e结算客户签约解约信息对外响应对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResSeg01 extends ErrorData {

    /**
     * 对象名称
     */
    public String objnam;

    /**
     * 交易结果[0,7]
     */
    public String JIAYJG;

    /**
     * 错误代码[0,7]
     */
    public String ERRORCODE;

    /**
     * 错误描述[0，200]
     */
    public String ERRORMESSAGE;

    public ResSeg01() {
    }

    public ResSeg01(String objnam, String JIAYJG, String ERRORCODE, String ERRORMESSAGE) {
        this.objnam = objnam;
        this.JIAYJG = JIAYJG;
        this.ERRORCODE = ERRORCODE;
        this.ERRORMESSAGE = ERRORMESSAGE;
    }
}
