package com.brilliance.isc.esb.model.inner;

import com.brilliance.isc.esb.model.whj.ReqMsgData;

public class InnerReqWhj {

    /**
     * 服务类型
     * TAXFILLINGREQ    备案表服务
     * SINOSUREREQ      中信保融资服务
     * EXPORT           出口应收账款服务
     */
    public String serviceType;

    /**
     * 备用字段1
     *
     */
    public String rmk1;

    /**
     * 备用字段2
     *
     */
    public String rmk2;

    /**
     * 备案表时使用，备案表请求接口组成的json报文
     *
     */
    public String jsonMessage;

    /**
     * 中信保融资服务和出口应收账款服务时使用，原xml报文组成对象
     *
     */
    public ReqMsgData reqMsgData;

}
