package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.LinkedList;
import java.util.List;

/**
 * 8915  境内外币往账查询
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes8915 {


    public List<Item8915> lst8915 = new LinkedList<>();

    /**
     * 报表路径
     */
    public String baoblj;

    /**
     * 查询总笔数
     */
    public String cxzobs;

    /**
     * 每天的总金额
     */
    public String mtdzje;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class Item8915 {
        /**
         * 报文编号
         */
        public String msgsno;
        /**
         * 营业机构号
         */
        public String yngyjg;
        /**
         * 货币代号
         */
        public String huobdh;
        /**
         * 交易金额
         */
        public String zhifje;
        /**
         * 委托日期
         */
        public String msgsdt;
        /**
         * 报文标识号
         */
        public String bawbsh;
        /**
         * 报文种类
         */
        public String baowzl;
        /**
         * 报文类型
         */
        public String bwlxdh;
        /**
         * 业务种类
         */
        public String ywzldm;
        /**
         * 发起行行号
         */
        public String fqcyjg;
        /**
         * 接收行行号
         */
        public String jscyjg;
        /**
         * 报文状态
         */
        public String baowzt;
        /**
         * 回执状态
         */
        public String chulzt;
        /**
         * 退回状态
         */
        public String jaoyzt;
        /**
         * 人行状态
         */
        public String renhzt;
        /**
         * 账务状态
         */
        public String zhuant;
        /**
         * 结算标志
         */
        public String jiesbz;
        /**
         * 结算流水
         */
        public String jioyls;
        /**
         * 对帐标志
         */
        public String duizbz;
        /**
         * 扣款账号
         */
        public String dailzh;
        /**
         * 销帐序号
         */
        public String xiozxh;
        /**
         * 客户号
         */
        public String kehhao;
        /**
         * 账户类型
         */
        public String khzhlx;
        /**
         * 账户性质
         */
        public String tzsjlx;
        /**
         * 付款人帐号
         */
        public String fkrzhh;
        /**
         * 付款人名称
         */
        public String fkrmch;
        /**
         * 付款人地址
         */
        public String fkrdzh;
        /**
         * 借贷标记
         */
        public String jiedbz;
        /**
         * 收款人帐号
         */
        public String skrzhh;
        /**
         * 收款人名称
         */
        public String skrmch;
        /**
         * 收款人地址
         */
        public String skrdzh;
        /**
         * 宕账流水号
         */
        public String gzgyls;
        /**
         * 经办流水
         */
        public String yngyls;
        /**
         * 复核流水
         */
        public String fhgyls;
        /**
         * 清算场次
         */
        public String gngxqh;
        /**
         * 原报文标识号
         */
        public String ybwbsh;
        /**
         * 原报文类型
         */
        public String ybwlxh;
        /**
         * 原报文编号
         */
        public String baogdh;
        /**
         * 国结业务流水
         */
        public String bawls2;
        /**
         * 国际收支编号
         */
        public String waigch;
        /**
         * 国际收支申报
         */
        public String shfobz;
        /**
         * 业务类型代码
         */
        public String ywlxdm;
        /**
         * 附言
         */
        public String fuynh1;
        /**
         * 退汇原因
         */
        public String fuynh2;
        /**
         * 退汇报文编号
         */
        public String dilybh;
        /**
         * 渠道
         */
        public String chnlno;
        /**
         * 渠道来源
         */
        public String qudqux;
        /**
         * 业务拒绝码
         */
        public String ywjjdm;
        /**
         * 业务拒绝信息
         */
        public String ywjjxx;
        /**
         * 确认报文编号
         */
        public String xinx01;
    }

    public InnerRes8915() {
    }

    public InnerRes8915(List<Item8915> lst8915, String baoblj, String cxzobs, String mtdzje) {
        this.lst8915 = lst8915;
        this.baoblj = baoblj;
        this.cxzobs = cxzobs;
        this.mtdzje = mtdzje;
    }
}
