package com.brilliance.isc.esb.model.netbank;

import com.brilliance.isc.esb.model.ErrorData;

/**
 * eg01 国结-网银签约/解约对外响应对象
 */
public class ResEG01 extends ErrorData {

    /**
     * 交易结果[0,7]
     */
    public String JIAYJG;

    /**
     * 错误代码[0,7]
     */
    public String ERRORCODE;

    /**
     * 错误描述[0，200]
     */
    public String ERRORMESSAGE;

    public ResEG01() {
    }

    public ResEG01(String JIAYJG, String ERRORCODE, String ERRORMESSAGE) {
        this.JIAYJG = JIAYJG;
        this.ERRORCODE = ERRORCODE;
        this.ERRORMESSAGE = ERRORMESSAGE;
    }
}
