package com.brilliance.isc.esb.model.whj.res.sinosure;

import lombok.Data;

import java.util.List;

@Data
public class ClaimInfo {

    public String claimno;         //案件编号
    public String policyno;         //保险单号
    public String companychnname;         //被保险人名称
    public String buyerno;         //买方代码
    public String openbankno;         //开证行代码
    public String exchangebankno;         //保兑行代码
    public String buyername;         //买方名称
    public String openbankname;         //开证行名称
    public String exchangebankname;         //保兑行名称
    public String fianlstate;         //案件状态
    public String claimeffectdate;         //索赔生效日期
    public String withdrawdate;         //索赔撤销日期
    public String signdate;         //赔付/拒赔日期
    public String reportlosssubject;         //报损主体
    public String possiblereason;         //致损原因

    public List<InvoiceInfo> invoiceInfo;

    public ClaimInfo() {
    }

    public ClaimInfo(String claimno, String policyno, String companychnname, String buyerno, String openbankno, String exchangebankno, String buyername, String openbankname, String exchangebankname, String fianlstate, String claimeffectdate, String withdrawdate, String signdate, String reportlosssubject, String possiblereason, List<InvoiceInfo> invoiceInfo) {
        this.claimno = claimno;
        this.policyno = policyno;
        this.companychnname = companychnname;
        this.buyerno = buyerno;
        this.openbankno = openbankno;
        this.exchangebankno = exchangebankno;
        this.buyername = buyername;
        this.openbankname = openbankname;
        this.exchangebankname = exchangebankname;
        this.fianlstate = fianlstate;
        this.claimeffectdate = claimeffectdate;
        this.withdrawdate = withdrawdate;
        this.signdate = signdate;
        this.reportlosssubject = reportlosssubject;
        this.possiblereason = possiblereason;
        this.invoiceInfo = invoiceInfo;
    }
}
