package com.brilliance.isc.esb.model.whj.res.sinosure;

import lombok.Data;

import java.util.List;

@Data
public class Invoices {

    public String notAvailableReason;             //不可用原因
    public String invoiceCode;             //发票编号
    public int isAvailable;             //发票是否可用
    public List<String> shipmentIdList;             //出运清单

    public Invoices() {
    }

    public Invoices(String notAvailableReason, String invoiceCode, int isAvailable, List<String> shipmentIdList) {
        this.notAvailableReason = notAvailableReason;
        this.invoiceCode = invoiceCode;
        this.isAvailable = isAvailable;
        this.shipmentIdList = shipmentIdList;
    }
}
